• 在Laravel根目录下执行: composer require tphp/apcu 即可
  • 安装成功后,会产生两个目录:/vendor/tphp/apcu和/public/static/tphp,如果出现安装错误可尝试删除这两个目录再次安装。
  • PHP版本要求:>=7.2
  • Laravel版本要求:>=5.6

解决Composer更新慢的问题

  • 在Laravel根目录运行
  • 安装阿里全量镜像
composer config repo.packagist composer https://mirrors.aliyun.com/composer/
  • 卸载阿里全量镜像
composer config --unset repos.packagist
  • 或在composer.json文件中增加或删除配置
    "repositories": {
        "packagist": {
            "type": "composer",
            "url": "https://mirrors.aliyun.com/composer/"
        }
    }

DEMO实例代码下载

Composer 相关介绍

  • 使用Composer给版本更新带来的很大的方便,解决TPHP框架更新迭代的难题。
  • 可以在原有项目下使用Composer下载TPHP框架,且原有项目通常不会受到影响。
  • 尽可能的使用Composer更新TPHP框架,如果Compser无法访问,也可以下载源码 https://gitee.com/q336296/tphp ,源码中已经使用过Compser更新,可直接运行使用。
  • 使用Composer更新更安全,使用Composer更新TPHP时不会影响项目的当前代码。